summaryrefslogtreecommitdiffstats
path: root/audio/eawpats
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2010-05-12 23:27:50 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:27:50 +0200
commitf0a5888b46cf0d3ab0b7e2b3933c6deb709898dc (patch)
tree78b37861fd235de69025ff48bc9440a81a12e862 /audio/eawpats
parent5b5c262d44113bb993d5d5d054b835d040996909 (diff)
downloadslackbuilds-f0a5888b46cf0d3ab0b7e2b3933c6deb709898dc.tar.gz
slackbuilds-f0a5888b46cf0d3ab0b7e2b3933c6deb709898dc.tar.xz
audio/eawpats: Added to 12.2 repository
Diffstat (limited to 'audio/eawpats')
-rw-r--r--audio/eawpats/README17
-rw-r--r--audio/eawpats/doinst.sh15
-rw-r--r--audio/eawpats/eawpats.SlackBuild57
-rw-r--r--audio/eawpats/eawpats.info8
-rw-r--r--audio/eawpats/slack-desc19
5 files changed, 116 insertions, 0 deletions
diff --git a/audio/eawpats/README b/audio/eawpats/README
new file mode 100644
index 0000000000..3789157392
--- /dev/null
+++ b/audio/eawpats/README
@@ -0,0 +1,17 @@
+eawpats is a sound patches library for TiMidity++. This package contains
+a patchset for the TiMidity++ MIDI player. A patchset is required for
+MIDI files to be audible through TiMidity++. These patches also work
+with applications that use SDL_mixer for MIDI audio.
+
+Note that eawpats contains proprietary sound samples. According to the
+ALSA Wiki:
+
+"Half of the patches in eawpats are derived from original Gravis patches,
+and therefore may have some intellectual property issues."
+
+If this is a concern to you, use freepats instead (however, eawpats does
+sound nicer). For more information, see /usr/doc/eawpats-12/copyrigh.txt
+
+To use eawpats with TiMidity++ and/or SDL_mixer, edit /etc/timidity.cfg
+and make it look like this:
+ source /etc/timidity/eawpats.cfg
diff --git a/audio/eawpats/doinst.sh b/audio/eawpats/doinst.sh
new file mode 100644
index 0000000000..110f77527d
--- /dev/null
+++ b/audio/eawpats/doinst.sh
@@ -0,0 +1,15 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/timidity/eawpats.cfg.new
+
diff --git a/audio/eawpats/eawpats.SlackBuild b/audio/eawpats/eawpats.SlackBuild
new file mode 100644
index 0000000000..9600d310e0
--- /dev/null
+++ b/audio/eawpats/eawpats.SlackBuild
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+# Slackware build script for eawpats
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# If the main download URL goes away, try
+# http://www.george.ca/interests/eawpats12_full.tar.gz
+# This is the original author's site, but it's more polite to download
+# from the gentoo mirror (see .info file)
+
+PRGNAM=eawpats
+VERSION=${VERSION:-12}
+SRCVER=${VERSION}_full
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM$SRCVER.tar.gz
+cd $PRGNAM
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+# Un-DOSify text files
+find . -type f -print0 | xargs -0 file | grep 'text.*CRLF' | \
+ cut -d: -f1 | xargs perl -i -pe 's/\r//g'
+
+mkdir -p $PKG/usr/share/sounds/$PRGNAM $PKG/etc/timidity
+egrep -v '^($|#)' linuxconfig/timidity.cfg | \
+ sed 's,/home/user,/usr/share/sounds,' > \
+ $PKG/etc/timidity/$PRGNAM.cfg.new
+
+rm -rf winconfig linuxconfig
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv *.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mv * $PKG/usr/share/sounds/$PRGNAM
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/audio/eawpats/eawpats.info b/audio/eawpats/eawpats.info
new file mode 100644
index 0000000000..d8e49fe4ac
--- /dev/null
+++ b/audio/eawpats/eawpats.info
@@ -0,0 +1,8 @@
+PRGNAM="eawpats"
+VERSION="12"
+HOMEPAGE="http://www.george.ca/interests/timidity.html"
+DOWNLOAD="http://distfiles.gentoo.org/distfiles/eawpats12_full.tar.gz"
+MD5SUM="8ebcf0583f3077346ebace93c8ea166f"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="dsomero"
diff --git a/audio/eawpats/slack-desc b/audio/eawpats/slack-desc
new file mode 100644
index 0000000000..d6cbecaedf
--- /dev/null
+++ b/audio/eawpats/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+eawpats: eawpats (MIDI instrument patches)
+eawpats:
+eawpats: This package contains a patchset for the TiMidity++ MIDI player.
+eawpats: A patchset is required for MIDI files to be audible through
+eawpats: TiMidity++. These patches also work with applications that use
+eawpats: SDL_mixer for MIDI audio.
+eawpats:
+eawpats: To use eawpats with TiMidity++ and/or SDL_mixer, edit
+eawpats: /etc/timidity.cfg and make it look like this:
+eawpats: source /etc/timidity/eawpats.cfg
+eawpats: